Skip to main content
GET
Retrieve an onramp

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

onrampId
string
required

Public ID of the onramp transaction (prefixed with onramp_)

Response

Onramp retrieved successfully.

An onramp transaction.

id
string

Public ID of the onramp (prefixed with onramp_).

Example:

"onramp_7bV1aLcs3Kf9dQ2mNpXwZ"

requestId
string<uuid>

Client-supplied idempotency key from the create request.

Example:

"b3d1f2a4-5c6e-7890-abcd-ef1234567890"

status
enum<string>

Lifecycle status of the onramp transaction.

Available options:
NOT_INITIATED,
CREATED,
OPEN_QUOTE,
IN_REVIEW,
FIAT_INITIATED,
AWAITING_FUNDS,
FIAT_PENDING,
FIAT_PROCESSED,
CRYPTO_INITIATED,
CRYPTO_PENDING,
COMPLETED,
FIAT_FAILED,
FIAT_RETURNED,
CRYPTO_FAILED,
QUOTE_FAILED,
EXPIRED,
UNKNOWN,
CANCELLED
Example:

"AWAITING_FUNDS"

failedReason
string | null

Machine-readable reason when the onramp failed.

Example:

null

error
string | null

User-facing error summary when the onramp failed.

Example:

null

errorDetails
string | null

User-facing error detail when the onramp failed.

Example:

null

source
object
destination
object
receipt
object
settlement
any | null

Settlement breakdown once funds settle.

quote
object

Conversion quote for the onramp.

microDeposits
object

Micro-deposits received against the onramp while awaiting funds.

sameDayAch
boolean
Example:

false

description
string | null
Example:

"Monthly top-up"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"